package com.ipsplm.config;

import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.CorsRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * @Description 跨域配置
 * @Author FanDongqiang
 * @Date 2023/1/12 9:37
 * @Version 1.0
 */
@Configuration
public class CrossConfig implements WebMvcConfigurer {
    @Override
    public void addCorsMappings(CorsRegistry registry) {
        registry.addMapping("/**") // 允许跨域访问的路径
                .allowedOriginPatterns("*") // 允许跨域访问的源
                .allowedMethods("GET", "POST","PUT", "DELETE", "OPTIONS") // 允许请求方法
                .allowCredentials(true) // 是否发送cookie
                .maxAge(3600); // 预检间隔时间
    }
}
