package com.ipsplm.entity.iot;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description IOT设备清单表
 * @Author FanDongqiang
 * @Date 2023/2/16 10:15
 * @Version 1.0
 */
@TableName("iot_device_list")
@Data
public class IotDeviceList implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     * iot_device_list.id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 工厂
     * iot_device_list.factory
     */
    @TableField("factory")
    private String factory;

    /**
     * 厂房代码
     * iot_device_list.workshop
     */
    @TableField("workshop")
    private String workshop;

    /**
     * 设备编号
     * iot_device_list.device_num
     */
    @TableField("device_num")
    private String deviceNum;

    /**
     * 厂房描述
     * iot_device_list.workshop_desc
     */
    @TableField("workshop_desc")
    private String workshopDesc;

    /**
     * 设备型号
     * iot_device_list.device_model
     */
    @TableField("device_model")
    private String deviceModel;

    /**
     * 设备名称
     * iot_device_list.device_name
     */
    @TableField("device_name")
    private String deviceName;

    /**
     * 设备位置
     * iot_device_list.device_position
     */
    @TableField("device_position")
    private String devicePosition;

    /**
     * 设备等级
     * iot_device_list.device_grade
     */
    @TableField("device_grade")
    private String deviceGrade;

    /**
     * 使用状态
     * iot_device_list.use_state
     */
    @TableField("use_state")
    private String useState;

    /**
     * 工作中心
     * iot_device_list.work_center
     */
    @TableField("work_center")
    private String workCenter;

    /**
     * 管理工作中心
     * iot_device_list.manage_work_center
     */
    @TableField("manage_work_center")
    private String manageWorkCenter;

    /**
     * 设备操作员名称
     * iot_device_list.operator
     */
    @TableField("operator")
    private String operator;

    /**
     * 班组
     * iot_device_list.team_group
     */
    @TableField("team_group")
    private String teamGroup;

    /**
     * 制造厂商
     * iot_device_list.manufacturer
     */
    @TableField("manufacturer")
    private String manufacturer;

    /**
     * 工位编号
     * iot_device_list.station
     */
    @TableField("station")
    private String station;

    /**
     * 备件包编号
     * iot_device_list.spares_kit_num
     */
    @TableField("spares_kit_num")
    private String sparesKitNum;

    /**
     * 备件包描述
     * iot_device_list.spares_kit_desc
     */
    @TableField("spares_kit_desc")
    private String sparesKitDesc;

    /**
     * 设备类型
     * iot_device_list.device_type
     */
    @TableField("device_type")
    private String deviceType;

    /**
     * websocket分组ID
     * iot_device_list.websocket_group_id
     */
    @TableField("websocket_group_id")
    private Integer websocketGroupId;
}
