package com.ipsplm.entity.iot;

import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ipsplm.entity.common.BaseEntity;
import lombok.Data;

import java.util.Date;
@Data
@TableName("xazz_iot_device_real_info")
public class XaIotDeviceRealInfo extends BaseEntity {
    /**
     * 主键ID
     * iot_device_real_info.id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 设备编号
     * iot_device_real_info.device_num
     */
    @TableField("device_num")
    private String deviceNum;

    /**
     * 设备模式
     * iot_device_real_info.mode
     */
    @TableField("mode")
    private String mode;

    /**
     * 设备状态（1、作业 2、待机 3、故障 4、关机）
     * iot_device_real_info.device_status
     */
    @TableField("device_status")
    private Integer deviceStatus;

    /**
     * 设备时间
     * iot_device_real_info.device_time
     */
    @TableField("device_time")
    private Date deviceTime;

    /**
     * 设备时间戳毫秒
     * iot_device_real_info.device_timestamp
     */
    @TableField("device_timestamp")
    private String deviceTimestamp;

    /**
     * 设备时间
     * iot_device_real_info.device_time
     */
    @TableField(exist = false)
    private String deviceTimeStr;

    /**
     * 报警（0、正常 1、报警）
     * iot_device_real_info.alarm
     */
    @TableField("alarm")
    private Integer alarm;

    /**
     * 报警信息Json字符串
     * iot_device_real_info.alarm_msg
     */
    @TableField("alarm_msg")
    private String alarmMsg;

    /**
     * 设备点位Json字符串
     * iot_device_real_info.point_position
     */
    @TableField("point_position")
    private String pointPosition;

    /**
     * 设备点位Json数组
     */
    @TableField(exist = false)
    private JSONArray pointPositionArray;

    /**
     * kafka主题
     * iot_device_real_info.topic
     */
    @TableField("topic")
    private String topic;

    /**
     * kafka分区
     * iot_device_real_info.part
     */
    @TableField("part")
    private String part;

    /**
     * websocket分组ID
     */
    @TableField(exist = false)
    private Integer websocketGroupId;
}
